Loading...
Searching...
No Matches
gr::filter::kernel::fir_filter_with_buffer_ccf Class Reference

FIR with internal buffer for gr_complex input, gr_complex output and gr_complex taps. More...

`#include <gnuradio/filter/fir_filter_with_buffer.h>`

## Public Member Functions

| fir_filter_with_buffer_ccf (const std::vector< float > &taps)
| construct new FIR with given taps.
| fir_filter_with_buffer_ccf (const fir_filter_with_buffer_ccf &)=delete
fir_filter_with_buffer_ccf & | operator= (const fir_filter_with_buffer_ccf &)=delete
| fir_filter_with_buffer_ccf (fir_filter_with_buffer_ccf &&)=default
fir_filter_with_buffer_ccf & | operator= (fir_filter_with_buffer_ccf &&)=default
gr_complex | filter (gr_complex input)
| compute a single output value.
gr_complex | filter (const gr_complex input[], unsigned long dec)
| compute a single output value; designed for decimating filters.
void | filterN (gr_complex output[], const gr_complex input[], unsigned long n)
| compute an array of N output values.
void | filterNdec (gr_complex output[], const gr_complex input[], unsigned long n, unsigned long decimate)
| compute an array of N output values, decimating the input
unsigned int | ntaps () const
void | set_taps (const std::vector< float > &taps)
| install `new_taps` as the current taps.
std::vector< float > | taps () const

## Detailed Description

FIR with internal buffer for gr_complex input, gr_complex output and gr_complex taps.

## Constructor & Destructor Documentation

## fir_filter_with_buffer_ccf() [1/3]

gr::filter::kernel::fir_filter_with_buffer_ccf::fir_filter_with_buffer_ccf | ( | const std::vector< float > & | taps | ) |

construct new FIR with given taps.

Note that taps must be in forward order, e.g., coefficient 0 is stored in new_taps[0], coefficient 1 is stored in new_taps[1], etc.

References taps().

Referenced by fir_filter_with_buffer_ccf(), fir_filter_with_buffer_ccf(), operator=(), and operator=().

## fir_filter_with_buffer_ccf() [2/3]

gr::filter::kernel::fir_filter_with_buffer_ccf::fir_filter_with_buffer_ccf | ( | const fir_filter_with_buffer_ccf & |  | ) |

delete

References fir_filter_with_buffer_ccf().

## fir_filter_with_buffer_ccf() [3/3]

gr::filter::kernel::fir_filter_with_buffer_ccf::fir_filter_with_buffer_ccf | ( | fir_filter_with_buffer_ccf && |  | ) |

default

References fir_filter_with_buffer_ccf().

## Member Function Documentation

## filter() [1/2]

gr_complex gr::filter::kernel::fir_filter_with_buffer_ccf::filter | ( | const gr_complex | input[],
|  | unsigned long | dec )

compute a single output value; designed for decimating filters.

`input` is a single input value of the filter type. The value of dec is the decimating value of the filter, so input[] must have dec valid values. The filter pushes dec number of items onto the circ. buffer before computing a single output.

Returns
  the filtered input value.

## filter() [2/2]

gr_complex gr::filter::kernel::fir_filter_with_buffer_ccf::filter | ( | gr_complex | input | ) |

compute a single output value.

`input` is a single input value of the filter type

Returns
  the filtered input value.

## filterN()

void gr::filter::kernel::fir_filter_with_buffer_ccf::filterN | ( | gr_complex | output[],
|  | const gr_complex | input[],
|  | unsigned long | n )

compute an array of N output values.

`input` must have (n - 1 + ntaps()) valid entries. input[0] .. input[n - 1 + ntaps() - 1] are referenced to compute the output values.

## filterNdec()

void gr::filter::kernel::fir_filter_with_buffer_ccf::filterNdec | ( | gr_complex | output[],
|  | const gr_complex | input[],
|  | unsigned long | n,
|  | unsigned long | decimate )

compute an array of N output values, decimating the input

`input` must have (decimate * (n - 1) + ntaps()) valid entries. input[0] .. input[decimate * (n - 1) + ntaps() - 1] are referenced to compute the output values.

## ntaps()

unsigned int gr::filter::kernel::fir_filter_with_buffer_ccf::ntaps | ( |  | ) | const

inline

Returns
  number of taps in filter.

## operator=() [1/2]

fir_filter_with_buffer_ccf & gr::filter::kernel::fir_filter_with_buffer_ccf::operator= | ( | const fir_filter_with_buffer_ccf & |  | ) |

delete

References fir_filter_with_buffer_ccf().

## operator=() [2/2]

fir_filter_with_buffer_ccf & gr::filter::kernel::fir_filter_with_buffer_ccf::operator= | ( | fir_filter_with_buffer_ccf && |  | ) |

default

References fir_filter_with_buffer_ccf().

## set_taps()

void gr::filter::kernel::fir_filter_with_buffer_ccf::set_taps | ( | const std::vector< float > & | taps | ) |

install `new_taps` as the current taps.

References taps().

## taps()

std::vector< float > gr::filter::kernel::fir_filter_with_buffer_ccf::taps | ( |  | ) | const

Returns
  current taps

Referenced by fir_filter_with_buffer_ccf(), and set_taps().

The documentation for this class was generated from the following file:

- fir_filter_with_buffer.h